function [ c ] = c( nu, n, t )
%   calculate C
%   Theorem 2.1 page 8

    tsize = size(t);
    
    % iterate on n
    previous = ones(tsize);
    current = previous .* 2 .* t;
    if nu ~= 0
        current = current .* nu;
    end
    
    switch n
        case 0
            c = previous;
        case 1
            c = current;
        otherwise
            for i = 2:n
                temp = current;
                current = (1/i).*(2.*(nu+i-1).*t.*current-(2.*nu+i-2).*previous);
                previous = temp;  
            end  
            
            c = current;
    end
end

