function [ lambda ] = lambda( q,d )
%   Compute the lambda function, assuming q = 2p + 1
%   Remark 5.1 p. 23

    if q == 1
        lambda = s(d-2)/(d-1);
    else
        p = (q - 1) / 2; % get in (2p+1, d) form

        num_i = 1:p;
        den_i = 0:p;
        num_v = 2 * num_i - 1;
        den_v = d + 2*den_i - 1;
        lambda = ((-1)^p)*s(d-2)*prod(num_v,2)/prod(den_v, 2);
    end
end
